# NavigatorParams | data-structure-typed
Documentation for data-structure-typed

# Type alias NavigatorParams<T>

NavigatorParams<T>: {
init: {
VISITED: T;
charDir: Direction ;
cur: [number, number];
};
matrix: T[][];
onMove: ((cur) => void);
turning: Turning ;
}

#### Type Parameters

- #### T

#### Type declaration

- ##### init: {
  VISITED: T;
  charDir: Direction ;
  cur: [number, number];
  }

  - ##### VISITED: T

  - ##### charDir: Direction

  - ##### cur: [number, number]

- ##### matrix: T[][]

- ##### onMove: ((cur) => void)

  - - (cur): void

    - #### Parameters

      - ##### cur: [number, number]

      #### Returns void

- ##### turning: Turning

- Defined in src/types/data-structures/navigator.ts:4

Generated using TypeDoc